## glue 0.11.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/glue.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/glue.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/glue"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/glue"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## glue 0.2.5

=== debian/changelog ===
glue (0.2.5-3) unstable; urgency=low

  * debian/control: Depends on python-pkg-resources for load_entry_point

 -- Angel Abad <angel@debian.org>  Wed, 23 May 2012 13:51:15 +0200

glue (0.2.5-2) unstable; urgency=low

  * debian/copyright: Fix typo in upstream copyright
  * debian/control: Update section to graphics

 -- Angel Abad <angel@debian.org>  Mon, 21 May 2012 23:43:08 +0200

glue (0.2.5-1) unstable; urgency=low

  * Initial release (Closes: #672360)

 -- Angel Abad <angel@debian.org>  Mon, 21 May 2012 12:57:20 +0200

=== debian/control ===
Source: glue
Maintainer: Angel Abad <angel@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 7.4.3),
 python-setuptools (>= 0.6b3),
 python (>= 2.6.6-3),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/glue.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glue.git
Homepage: http://gluecss.com
X-Python-Version: >= 2.6

Package: glue-sprite
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends},
 python-pkg-resources
Recommends: optipng
Description: Simple command line tool to generate CSS sprites
 Glue is a simple command line tool to generate CSS sprites using any
 kind of source images like PNG, JPEG or GIF. Glue will generate a
 unique PNG file containing every source image and a CSS file
 including the necessary CSS classes to use the sprite.

=== debian/watch ===
version=2

http://pypi.python.org/pypi/glue http://pypi.python.org/packages/source/g/glue/glue-(.+).tar.gz#md5=.*

## glue 0.2.6.1

=== debian/changelog ===
glue (0.2.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.6.1

 -- Angel Abad <angel@debian.org>  Mon, 16 Jul 2012 14:12:25 +0200

## glue 0.2.9.1

=== debian/changelog ===
glue (0.2.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.9.1
  * debian/patches/20_use_pil_instead_pillow:
    - Use PIL instead Pillow, Pillow is a PIL fork, but at the moment isnt
      present in Debian.
  * debian/control:
    - Switch python-sphinx to B-D-I.
    - Change Vcs-Git to canonical URI (git://anonscm.debian.org).
  * Bump Standards-Version to 3.9.4.

 -- Angel Abad <angel@debian.org>  Thu, 10 Jan 2013 10:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 7.4.3),
  python-setuptools (>= 0.6b3),
- python (>= 2.6.6-3),
- python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/glue.git
+ python (>= 2.6.6-3)
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/git/collab-maint/glue.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glue.git
 Homepage: http://gluecss.com
 X-Python-Version: >= 2.6

## glue 0.3

=== debian/changelog ===
glue (0.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/30_rmeove_deps:
      + Remove deps from setup.py to avoid problem with pkg_resources

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 29 Apr 2013 14:40:22 +0200

glue (0.3-1) unstable; urgency=low

  * Imported Upstream version 0.3
  * debian/watch: Use https in pypi
  * debian/copyright: Update years
  * debian/control:
    - Switch python-sphinx to B-D again because it is needed in the clean target
    - Use canonical url in Vcs-Git

 -- Angel Abad <angel@debian.org>  Thu, 11 Apr 2013 17:58:05 +0200

glue (0.2.9.1-1ubuntu1) raring; urgency=low

  * debian/patches/30_rmeove_deps:
    - Remove deps from setup.py to avoid problem with pkg_resources
      (LP: #1169077)

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 19 Apr 2013 12:51:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: glue
-Maintainer: Angel Abad <angel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 7.4.3),
  python-setuptools (>= 0.6b3),
- python (>= 2.6.6-3)
-Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
+ python (>= 2.6.6-3),
+ python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/glue.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/glue.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glue.git
 Homepage: http://gluecss.com
 X-Python-Version: >= 2.6

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_clean:
	rm -rf glue.egg-info
	rm -rf build/sphinx
	dh_auto_clean

## glue 0.4

=== debian/changelog ===
glue (0.4-1) unstable; urgency=medium

  * Imported Upstream version 0.4
  * Declare compliance with Debian Policy 3.9.5.
  * debian/patches/20_use_pil_instead_pillow:
    - Removed, now Debian ships pillow package.
  * debian/patches/20_use_correct_pillow_version:
    - Use >= instead == in Pillow version dependency.

 -- Angel Abad <angel@debian.org>  Tue, 24 Dec 2013 18:30:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: glue
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
+Maintainer: Angel Abad <angel@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 7.4.3),
  python-setuptools (>= 0.6b3),
  python (>= 2.6.6-3),
  python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/glue.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glue.git
 Homepage: http://gluecss.com

=== debian/watch ===
version=2

https://pypi.python.org/pypi/glue https://pypi.python.org/packages/source/g/glue/glue-(.+).tar.gz#md5=.*

## glue 0.9.4

=== debian/changelog ===
glue (0.9.4-1) unstable; urgency=medium

  * Imported Upstream version 0.9.4
  * debian/patches/10_rename_command: Refresh patch

 -- Angel Abad <angel@debian.org>  Mon, 21 Apr 2014 10:10:52 +0200

glue (0.9.2-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2
  * debian/patches/20_use_correct_pillow_version:
    - Removed, applied upstream
  * debian/patches/10_rename_command:
    - Refresh patch
  * debian/copyright: Update years
  * debian/pydist-overrides: Adjust for jinja2 versioned depends

 -- Angel Abad <angel@debian.org>  Tue, 25 Mar 2014 13:01:12 +0100

## glue 0.11.1

=== debian/changelog ===
glue (0.11.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:06:27 +0000

glue (0.11.1-2) unstable; urgency=medium

  * Now package uses python 3 (Closes: #782921)
  * debian/control:
    - Update {Build-}Depends for python3 packages
    - Set X-Python-Version: >= 3.2
  * debian/rules:
    - Now use --with python3
    - Use python3 to build documentation
    - Override dh_compress to avoid html files compression
  * debian/pydist-overrides: Removed, not used

 -- Angel Abad <angel@debian.org>  Sat, 02 May 2015 12:36:09 +0200

glue (0.11.1-1) unstable; urgency=medium

  * Imported Upstream version 0.11.1
  * Bump debhelper compat level to 9
  * Declare compliance with Debian Policy 3.9.6
  * debian/watch: Update for pypi.debian.net use
  * debian/patches/10_rename_command: Refresh patch
  * debian/control: Update Build-Depends packages and versions
  * debian/rules:
    - Use pybuild buildsystem
    - Override auto test target to avoid tests
  * debian/copyright:
    - Update license short name
  * debian/copyright:
    - Update copyright years

 -- Angel Abad <angel@debian.org>  Mon, 06 Apr 2015 10:08:33 +0200

=== debian/control ===
Source: glue
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Angel Abad <angel@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 9~),
 dh-python,
 python3-setuptools,
 python3-all,
 python3-sphinx
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/glue.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/glue.git
Homepage: http://gluecss.com
X-Python-Version: >= 3.2

Package: glue-sprite
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 python3-pkg-resources
Recommends: optipng
Description: Simple command line tool to generate CSS sprites
 Glue is a simple command line tool to generate CSS sprites using any
 kind of source images like PNG, JPEG or GIF. Glue will generate a
 unique PNG file containing every source image and a CSS file
 including the necessary CSS classes to use the sprite.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_installdocs:
	/usr/bin/python3 setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_compress:
	dh_compress -Xusr/share/doc/glue-sprite/html/

override_dh_auto_clean:
	rm -rf glue.egg-info
	rm -rf build/sphinx
	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/glue/glue-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## glue 0.13

=== debian/changelog ===
glue (0.13-8) unstable; urgency=medium

  * debian/patches: Rename and order patches
  * debian/patches/30_deprecate-pkg-resources: Remove deprecated pkg_resources
    lib (Closes: #1083422)
  * debian/patches/50_fix_re_compile: Fix regular expression syntax warning
    (Closes: #1085613)
  * Bump Standards-Version to 4.7.2
  * debian/lintian-overrides: Rename no-manual-page override
  * debian/control:
    - Remove redundant Rules-Requires-Root entry
    - Remove obsolete homepage
  * debian/copyright: Update debian/ years
  * debian/watch: Update uscan version 5

 -- Angel Abad <angel@debian.org>  Mon, 06 Oct 2025 10:28:18 +0200

glue (0.13-7) unstable; urgency=medium

  * Use python3 -m sphinx insteat of setuptools helper. (Closes: #1042631)

 -- Angel Abad <angel@debian.org>  Wed, 01 Nov 2023 09:17:07 +0100

glue (0.13-6) unstable; urgency=medium

  * debian/patches/fix_2to3: Patch for python3 (Closes: #997603)

 -- Angel Abad <angel@debian.org>  Sun, 24 Oct 2021 10:46:58 +0200

glue (0.13-5) unstable; urgency=medium

  * debian/tests/control: Add superficial restriction (Closes: #970951)
  * debian/patches/20_jinja2_version: Remove, unused patch
  * debian/patches/20_fix_python_prints: Fix errors with python prints
  * debian/control: Build-Depends on python3:any
  * debian/py3dist-overrides: Fix errors with jinja2 versions
  * debian/lintian-overrides: Rename tag no-manual-page
  * debian/watch: Use watch version 4
  * Bump standards version 4.6.0

 -- Angel Abad <angel@debian.org>  Sat, 02 Oct 2021 10:49:49 +0200

glue (0.13-4) unstable; urgency=medium

  * debian/rules: Use execute_before_ instead of override_
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * debian/py3dist-overrides: Adjust for jinja2 versioned depends
    (Closes: #961782)
  * Add upstream metadata

 -- Angel Abad <angel@debian.org>  Sat, 06 Jun 2020 10:35:01 +0200

glue (0.13-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Angel Abad ]
  * debian/clean: Remove file, unused
  * debian/rules: Remove trailing whitespaces
  * debian/control:
    - Remove unused X-Python-Version
    - Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.4.1 (no changes)
  * Use debhelper-compat instead of debian/compat.

 -- Angel Abad <angel@debian.org>  Wed, 08 Jan 2020 18:51:32 +0100

glue (0.13-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1 (no changes)
  * Bump debhelper compatibility level to 10
  * debian/patches/20_jinja2_version: Update jinja2 version
  * Clean and ignore egg dir
  * Add autopkgtest for glue-sprite command
  * Remove trailing whitespaces
  * debian/control: Update Vcs-* fields
  * debian/watch: Use secure https uri
  * debian/copyright: Update debian/* copyright years

 -- Angel Abad <angel@debian.org>  Mon, 04 Dec 2017 12:56:19 +0100

glue (0.13-1) unstable; urgency=medium

  * New upstream version 0.13 (Closes: #860169)
  * debian/py3dist-overrides: Add override for Jinja2

 -- Angel Abad <angel@debian.org>  Mon, 15 May 2017 13:39:14 +0200

=== debian/control ===
Source: glue
Maintainer: Angel Abad <angel@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3:any,
 python3-setuptools,
 python3-all,
 python3-sphinx
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/glue
Vcs-Git: https://salsa.debian.org/debian/glue.git
Homepage: https://github.com/jorgebastida/glue

Package: glue-sprite
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Recommends: optipng
Description: Simple command line tool to generate CSS sprites
 Glue is a simple command line tool to generate CSS sprites using any
 kind of source images like PNG, JPEG or GIF. Glue will generate a
 unique PNG file containing every source image and a CSS file
 including the necessary CSS classes to use the sprite.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:

override_dh_installdocs:
	python3 -m sphinx docs build/sphinx/html
	dh_installdocs build/sphinx/html

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_compress:
	dh_compress -Xusr/share/doc/glue-sprite/html/

execute_before_dh_auto_clean:
	rm -rf build/sphinx

=== debian/tests/control ===
Test-Command: glue-sprite --version
Depends: glue-sprite
Restrictions: superficial

=== debian/watch ===
Version: 5
Template: Github
Owner: jorgebastida
Project: glue

## glue 1.0.0

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.0.0
Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
Description: An implementation of interpreted string literals, inspired by
  Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
  <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted String Literals
  <https://docs.julialang.org/en/stable/manual/strings/#triple-quoted-string-literals>.
Depends: R (>= 3.0.0)
Suggests: testthat, covr, magrittr
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-04-17 18:33:26 UTC; jhester
Author: Jim Hester [aut, cre]
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2017-04-17 22:29:19 UTC

## glue 1.1.0

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.1.0
Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
Description: An implementation of interpreted string literals, inspired by
  Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
  <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted String Literals
  <https://docs.julialang.org/en/stable/manual/strings/#triple-quoted-string-literals>.
Depends: R (>= 3.0.0)
Suggests: testthat, covr, magrittr
Imports: methods
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
URL: https://github.com/tidyverse/glue
BugReports: https://github.com/tidyverse/glue/issues
NeedsCompilation: yes
Packaged: 2017-06-13 20:54:29 UTC; jhester
Author: Jim Hester [aut, cre]
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2017-06-13 21:00:14 UTC

## glue 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: glue
 Title: Interpreted String Literals
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
 Description: An implementation of interpreted string literals, inspired by
   Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
@@ -16,8 +16,8 @@
 URL: https://github.com/tidyverse/glue
 BugReports: https://github.com/tidyverse/glue/issues
 NeedsCompilation: yes
-Packaged: 2017-06-13 20:54:29 UTC; jhester
+Packaged: 2017-06-16 20:43:57 UTC; jhester
 Author: Jim Hester [aut, cre]
 Maintainer: Jim Hester <james.f.hester@gmail.com>
 Repository: CRAN
-Date/Publication: 2017-06-13 21:00:14 UTC
+Date/Publication: 2017-06-21 16:58:04 UTC

## glue 1.3.0

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.3.0
Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
Description: An implementation of interpreted string literals, inspired by
  Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
  <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted String Literals
  <https://docs.julialang.org/en/stable/manual/strings/#triple-quoted-string-literals>.
Depends: R (>= 3.1)
Imports: methods
Suggests: testthat, covr, magrittr, crayon, knitr, rmarkdown, DBI,
        RSQLite, R.utils, forcats, microbenchmark, rprintf, stringr,
        ggplot2, dplyr, withr
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
URL: https://github.com/tidyverse/glue
BugReports: https://github.com/tidyverse/glue/issues
VignetteBuilder: knitr
ByteCompile: true
NeedsCompilation: yes
Packaged: 2018-07-17 14:19:58 UTC; jhester
Author: Jim Hester [aut, cre]
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2018-07-17 19:10:02 UTC

## glue 1.3.2

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.3.2
Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
Description: An implementation of interpreted string literals, inspired by
  Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
  <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted String Literals
  <https://docs.julialang.org/en/v1.3/manual/strings/#Triple-Quoted-String-Literals-1>.
Depends: R (>= 3.1)
Imports: methods
Suggests: testthat, covr, magrittr, crayon, knitr, rmarkdown, DBI,
        RSQLite, R.utils, forcats, microbenchmark, rprintf, stringr,
        ggplot2, dplyr, withr, vctrs (>= 0.2.2)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
URL: https://github.com/tidyverse/glue, https://glue.tidyverse.org/
BugReports: https://github.com/tidyverse/glue/issues
VignetteBuilder: knitr
ByteCompile: true
NeedsCompilation: yes
Packaged: 2020-03-04 13:04:17 UTC; jhester
Author: Jim Hester [aut, cre]
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2020-03-12 16:10:08 UTC

## glue 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: glue
 Title: Interpreted String Literals
-Version: 1.3.2
+Version: 1.4.0
 Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
 Description: An implementation of interpreted string literals, inspired by
   Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
@@ -20,8 +20,8 @@
 VignetteBuilder: knitr
 ByteCompile: true
 NeedsCompilation: yes
-Packaged: 2020-03-04 13:04:17 UTC; jhester
+Packaged: 2020-04-01 18:34:06 UTC; jhester
 Author: Jim Hester [aut, cre]
 Maintainer: Jim Hester <james.f.hester@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-03-12 16:10:08 UTC
+Date/Publication: 2020-04-03 14:10:30 UTC

## glue 1.4.1

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.4.1
Authors@R: person("Jim", "Hester", email = "james.f.hester@gmail.com", role = c("aut", "cre"))
Description: An implementation of interpreted string literals, inspired by
  Python's Literal String Interpolation <https://www.python.org/dev/peps/pep-0498/> and Docstrings
  <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted String Literals
  <https://docs.julialang.org/en/v1.3/manual/strings/#Triple-Quoted-String-Literals-1>.
Depends: R (>= 3.1)
Imports: methods
Suggests: testthat, covr, magrittr, crayon, knitr, rmarkdown, DBI,
        RSQLite, R.utils, forcats, microbenchmark, rprintf, stringr,
        ggplot2, dplyr, withr, vctrs (>= 0.3.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
URL: https://github.com/tidyverse/glue, https://glue.tidyverse.org/
BugReports: https://github.com/tidyverse/glue/issues
VignetteBuilder: knitr
ByteCompile: true
NeedsCompilation: yes
Packaged: 2020-05-13 14:58:42 UTC; jhester
Author: Jim Hester [aut, cre]
Maintainer: Jim Hester <james.f.hester@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-13 16:10:07 UTC

## glue 1.5.0

=== DESCRIPTION ===
Package: glue
Title: Interpreted String Literals
Version: 1.5.0
Authors@R: c(
    person("Jim", "Hester", , "jim.hester@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-2739-7082")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: An implementation of interpreted string literals, inspired by
    Python's Literal String Interpolation
    <https://www.python.org/dev/peps/pep-0498/> and Docstrings
    <https://www.python.org/dev/peps/pep-0257/> and Julia's Triple-Quoted
    String Literals
    <https://docs.julialang.org/en/v1.3/manual/strings/#Triple-Quoted-String-Literals-1>.
License: MIT + file LICENSE
URL: https://github.com/tidyverse/glue, https://glue.tidyverse.org/
BugReports: https://github.com/tidyverse/glue/issues
Depends: R (>= 3.2)
Imports: methods
Suggests: covr, crayon, DBI, dplyr, forcats, ggplot2, knitr, magrittr,
        microbenchmark, R.utils, rmarkdown, rprintf, RSQLite, stringr,
        testthat, vctrs (>= 0.3.0), waldo, withr
VignetteBuilder: knitr
ByteCompile: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2021-11-01 17:02:09 UTC; jhester
Author: Jim Hester [aut, cre] (<https://orcid.org/0000-0002-2739-7082>),
  RStudio [cph, fnd]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-07 00:50:07 UTC

## glue 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: glue
 Title: Interpreted String Literals
-Version: 1.5.0
+Version: 1.5.1
 Authors@R: c(
-    person("Jim", "Hester", , "jim.hester@rstudio.com", role = c("aut", "cre"),
+    person("Jim", "Hester", role = "aut",
            comment = c(ORCID = "0000-0002-2739-7082")),
+    person("Jennifer", "Bryan", , "jenny@rstudio.com", role = c("aut", "cre"),
+           comment = c(ORCID = "0000-0002-6983-2759")),
     person("RStudio", role = c("cph", "fnd"))
   )
 Description: An implementation of interpreted string literals, inspired by
@@ -22,14 +24,15 @@
         testthat, vctrs (>= 0.3.0), waldo, withr
 VignetteBuilder: knitr
 ByteCompile: true
-Config/Needs/website: tidyverse/tidytemplate
+Config/Needs/website: hadley/emo, tidyverse/tidytemplate
 Config/testthat/edition: 3
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2021-11-01 17:02:09 UTC; jhester
-Author: Jim Hester [aut, cre] (<https://orcid.org/0000-0002-2739-7082>),
+Packaged: 2021-11-30 00:39:30 UTC; jhester
+Author: Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
+  Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
   RStudio [cph, fnd]
-Maintainer: Jim Hester <jim.hester@rstudio.com>
+Maintainer: Jennifer Bryan <jenny@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-07 00:50:07 UTC
+Date/Publication: 2021-11-30 09:50:07 UTC

## glue 1.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: glue
 Title: Interpreted String Literals
-Version: 1.5.1
+Version: 1.6.0
 Authors@R: c(
     person("Jim", "Hester", role = "aut",
            comment = c(ORCID = "0000-0002-2739-7082")),
@@ -17,7 +17,7 @@
 License: MIT + file LICENSE
 URL: https://github.com/tidyverse/glue, https://glue.tidyverse.org/
 BugReports: https://github.com/tidyverse/glue/issues
-Depends: R (>= 3.2)
+Depends: R (>= 3.4)
 Imports: methods
 Suggests: covr, crayon, DBI, dplyr, forcats, ggplot2, knitr, magrittr,
         microbenchmark, R.utils, rmarkdown, rprintf, RSQLite, stringr,
@@ -29,10 +29,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2021-11-30 00:39:30 UTC; jhester
+Packaged: 2021-12-16 20:07:41 UTC; jenny
 Author: Jim Hester [aut] (<https://orcid.org/0000-0002-2739-7082>),
   Jennifer Bryan [aut, cre] (<https://orcid.org/0000-0002-6983-2759>),
   RStudio [cph, fnd]
 Maintainer: Jennifer Bryan <jenny@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-11-30 09:50:07 UTC
+Date/Publication: 2021-12-17 07:20:02 UTC

## glue utils-0.10.0

=== Makefile ===
DOCKER_COMPOSE_RUN = USER_ID=$$(id -u) COMPOSE_BAKE=true docker compose --file docker/docker-compose.yml run --rm --build glue-utils


.PHONY: help
help: ## Show help (default)
	@echo "=== Glue Utils ==="
	@echo
	@echo "Available commands:"
	@grep --extended-regexp '^[ /.a-zA-Z0-9_-]+:.*?## .*$$' Makefile | \
		awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'


.PHONY: all
 all: help


.PHONY: install
install: clean ## Create virtualenv and install dependencies
	@uv sync --all-groups


.PHONY: outdated
outdated: ## Check for outdated dependencies
	@uv pip list --outdated


docker/requirements.txt: uv.lock
	@uv pip compile --group test pyproject.toml --output-file docker/requirements.txt --generate-hashes


.PHONY: format
format: ## Format project source code
	@uv run ruff check . --fix
	@uv run ruff format .


.PHONY: lint
lint: ## Check source code for common errors
	@uv run ruff format . --check
	@uv run ruff check .


.PHONY: typecheck
typecheck: ## Check type annotations
	@MYPYPATH=src uv run mypy .


.PHONY: test
test: docker/requirements.txt ## Run automated tests
	@TARGET=test $(DOCKER_COMPOSE_RUN) -c pytest


.PHONY: test-verbose
test-verbose: docker/requirements.txt ## Run automated tests in verbose mode
	@TARGET=test $(DOCKER_COMPOSE_RUN) -c "pytest -vv"


.PHONY: coverage
coverage: docker/requirements.txt ## Run tests and measure code coverage
	@TARGET=coverage $(DOCKER_COMPOSE_RUN) -c "pytest --cov=glue_utils --cov-report=term --cov-report=html"


.PHONY: shell
shell: docker/requirements.txt ## Enter a shell in the container
	@$(DOCKER_COMPOSE_RUN) -c bash


.PHONY: checks
checks: format typecheck test


.PHONY: clean
clean: ## Delete generated artifacts
	@rm -rfv __pycache__ .coverage .import_linter_cache .mypy_cache .pytest_cache .ruff_cache coverage dist htmlcov test-results


.PHONY: build
build: clean  ## Build package wheel
	@uv build


.PHONY: publish
publish: ## Publish package to PyPI
	@uv publish


.PHONY: bumpver-rc
bumpver-rc: ## Bump release candidate
	@uv run bumpver update --no-fetch --tag=rc --tag-num


.PHONY: bumpver-patch
bumpver-patch: ## Bump patch version
	@uv run bumpver update --no-fetch --patch --tag=final


.PHONY: bumpver-minor
bumpver-minor: ## Bump minor version
	@uv run bumpver update --no-fetch --minor --tag=final


.PHONY: bumpver-major
bumpver-major: ## Bump major version
	@uv run bumpver update --no-fetch --major --tag=final


.PHONY: release
release: publish ## Publish and tag a new release
	@eval $$(bumpver show -n --environ) && git tag $$CURRENT_VERSION
	@git push --follow-tags
	@git push --tags


.PHONY: checkov
checkov: ## Run Checkov security checks
	@checkov -d .


.PHONY: prettier
prettier: clean  ## Run Prettier code formatter
	@prettier --write .

=== docker/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --group test pyproject.toml --generate-hashes --output-file docker/requirements.txt
coverage==7.8.2 \
    --hash=sha256:00f2e2f2e37f47e5f54423aeefd6c32a7dbcedc033fcd3928a4f4948e8b96af7 \
    --hash=sha256:05364b9cc82f138cc86128dc4e2e1251c2981a2218bfcd556fe6b0fbaa3501be \
    --hash=sha256:0774df1e093acb6c9e4d58bce7f86656aeed6c132a16e2337692c12786b32404 \
    --hash=sha256:07a989c867986c2a75f158f03fdb413128aad29aca9d4dbce5fc755672d96f11 \
    --hash=sha256:0bdc8bf760459a4a4187b452213e04d039990211f98644c7292adf1e471162b5 \
    --hash=sha256:0e49824808d4375ede9dd84e9961a59c47f9113039f1a525e6be170aa4f5c34d \
    --hash=sha256:145b07bea229821d51811bf15eeab346c236d523838eda395ea969d120d13347 \
    --hash=sha256:159b81df53a5fcbc7d45dae3adad554fdbde9829a994e15227b3f9d816d00b36 \
    --hash=sha256:1676628065a498943bd3f64f099bb573e08cf1bc6088bbe33cf4424e0876f4b3 \
    --hash=sha256:1aec326ed237e5880bfe69ad41616d333712c7937bcefc1343145e972938f9b3 \
    --hash=sha256:1e1448bb72b387755e1ff3ef1268a06617afd94188164960dba8d0245a46004b \
    --hash=sha256:1efa4166ba75ccefd647f2d78b64f53f14fb82622bc94c5a5cb0a622f50f1c9e \
    --hash=sha256:26a4636ddb666971345541b59899e969f3b301143dd86b0ddbb570bd591f1e85 \
    --hash=sha256:2bd0a0a5054be160777a7920b731a0570284db5142abaaf81bcbb282b8d99279 \
    --hash=sha256:2c08b05ee8d7861e45dc5a2cc4195c8c66dca5ac613144eb6ebeaff2d502e73d \
    --hash=sha256:2db10dedeb619a771ef0e2949ccba7b75e33905de959c2643a4607bef2f3fb3a \
    --hash=sha256:2f9bc608fbafaee40eb60a9a53dbfb90f53cc66d3d32c2849dc27cf5638a21e3 \
    --hash=sha256:34759ee2c65362163699cc917bdb2a54114dd06d19bab860725f94ef45a3d9b7 \
    --hash=sha256:3da9b771c98977a13fbc3830f6caa85cae6c9c83911d24cb2d218e9394259c57 \
    --hash=sha256:3f5673888d3676d0a745c3d0e16da338c5eea300cb1f4ada9c872981265e76d8 \
    --hash=sha256:4000a31c34932e7e4fa0381a3d6deb43dc0c8f458e3e7ea6502e6238e10be625 \
    --hash=sha256:43ff5033d657cd51f83015c3b7a443287250dc14e69910577c3e03bd2e06f27b \
    --hash=sha256:46d532db4e5ff3979ce47d18e2fe8ecad283eeb7367726da0e5ef88e4fe64740 \
    --hash=sha256:496948261eaac5ac9cf43f5d0a9f6eb7a6d4cb3bedb2c5d294138142f5c18f2a \
    --hash=sha256:4c26c2396674816deaeae7ded0e2b42c26537280f8fe313335858ffff35019be \
    --hash=sha256:5040536cf9b13fb033f76bcb5e1e5cb3b57c4807fef37db9e0ed129c6a094257 \
    --hash=sha256:546e537d9e24efc765c9c891328f30f826e3e4808e31f5d0f87c4ba12bbd1622 \
    --hash=sha256:5e818796f71702d7a13e50c70de2a1924f729228580bcba1607cccf32eea46e6 \
    --hash=sha256:5feb7f2c3e6ea94d3b877def0270dff0947b8d8c04cfa34a17be0a4dc1836879 \
    --hash=sha256:641988828bc18a6368fe72355df5f1703e44411adbe49bba5644b941ce6f2e3a \
    --hash=sha256:670a13249b957bb9050fab12d86acef7bf8f6a879b9d1a883799276e0d4c674a \
    --hash=sha256:6782a12bf76fa61ad9350d5a6ef5f3f020b57f5e6305cbc663803f2ebd0f270a \
    --hash=sha256:684ca9f58119b8e26bef860db33524ae0365601492e86ba0b71d513f525e7050 \
    --hash=sha256:6e6c86888fd076d9e0fe848af0a2142bf606044dc5ceee0aa9eddb56e26895a0 \
    --hash=sha256:726f32ee3713f7359696331a18daf0c3b3a70bb0ae71141b9d3c52be7c595e32 \
    --hash=sha256:76090fab50610798cc05241bf83b603477c40ee87acd358b66196ab0ca44ffa1 \
    --hash=sha256:8165584ddedb49204c4e18da083913bdf6a982bfb558632a79bdaadcdafd0d48 \
    --hash=sha256:820157de3a589e992689ffcda8639fbabb313b323d26388d02e154164c57b07f \
    --hash=sha256:8369a7c8ef66bded2b6484053749ff220dbf83cba84f3398c84c51a6f748a008 \
    --hash=sha256:86a323a275e9e44cdf228af9b71c5030861d4d2610886ab920d9945672a81223 \
    --hash=sha256:876cbfd0b09ce09d81585d266c07a32657beb3eaec896f39484b631555be0fe2 \
    --hash=sha256:8966a821e2083c74d88cca5b7dcccc0a3a888a596a04c0b9668a891de3a0cc53 \
    --hash=sha256:8ab4a51cb39dc1933ba627e0875046d150e88478dbe22ce145a68393e9652975 \
    --hash=sha256:8e1a26e7e50076e35f7afafde570ca2b4d7900a491174ca357d29dece5aacee7 \
    --hash=sha256:94316e13f0981cbbba132c1f9f365cac1d26716aaac130866ca812006f662199 \
    --hash=sha256:9a990f6510b3292686713bfef26d0049cd63b9c7bb17e0864f133cbfd2e6167f \
    --hash=sha256:9fe449ee461a3b0c7105690419d0b0aba1232f4ff6d120a9e241e58a556733f7 \
    --hash=sha256:a886d531373a1f6ff9fad2a2ba4a045b68467b779ae729ee0b3b10ac20033b27 \
    --hash=sha256:ab9b09a2349f58e73f8ebc06fac546dd623e23b063e5398343c5270072e3201c \
    --hash=sha256:b039ffddc99ad65d5078ef300e0c7eed08c270dc26570440e3ef18beb816c1ca \
    --hash=sha256:b069938961dfad881dc2f8d02b47645cd2f455d3809ba92a8a687bf513839787 \
    --hash=sha256:b99058eef42e6a8dcd135afb068b3d53aff3921ce699e127602efff9956457a9 \
    --hash=sha256:bd8ec21e1443fd7a447881332f7ce9d35b8fbd2849e761bb290b584535636b0a \
    --hash=sha256:bf8111cddd0f2b54d34e96613e7fbdd59a673f0cf5574b61134ae75b6f5a33b8 \
    --hash=sha256:c9392773cffeb8d7e042a7b15b82a414011e9d2b5fdbbd3f7e6a6b17d5e21b20 \
    --hash=sha256:cb86337a4fcdd0e598ff2caeb513ac604d2f3da6d53df2c8e368e07ee38e277d \
    --hash=sha256:da23ce9a3d356d0affe9c7036030b5c8f14556bd970c9b224f9c8205505e3b99 \
    --hash=sha256:dc67994df9bcd7e0150a47ef41278b9e0a0ea187caba72414b71dc590b99a108 \
    --hash=sha256:de77c3ba8bb686d1c411e78ee1b97e6e0b963fb98b1637658dd9ad2c875cf9d7 \
    --hash=sha256:e2f6fe3654468d061942591aef56686131335b7a8325684eda85dacdf311356c \
    --hash=sha256:e6ea7dba4e92926b7b5f0990634b78ea02f208d04af520c73a7c876d5a8d36cb \
    --hash=sha256:e6fcbbd35a96192d042c691c9e0c49ef54bd7ed865846a3c9d624c30bb67ce46 \
    --hash=sha256:ea561010914ec1c26ab4188aef8b1567272ef6de096312716f90e5baa79ef8ca \
    --hash=sha256:eacd2de0d30871eff893bab0b67840a96445edcb3c8fd915e6b11ac4b2f3fa6d \
    --hash=sha256:ec455eedf3ba0bbdf8f5a570012617eb305c63cb9f03428d39bf544cb2b94837 \
    --hash=sha256:ef2f22795a7aca99fc3c84393a55a53dd18ab8c93fb431004e4d8f0774150f54 \
    --hash=sha256:fd51355ab8a372d89fb0e6a31719e825cf8df8b6724bee942fb5b92c3f016ba3
    # via pytest-cov
exceptiongroup==1.3.0 \
    --hash=sha256:4d111e6e0c13d0644cad6ddaa7ed0261a0b36971f6d23e7ec9b4b9097da78a10 \
    --hash=sha256:b241f5885f560bc56a59ee63ca4c6a8bfa46ae4ad651af316d4e81817bb9fd88
    # via pytest
importlib-metadata==8.7.0 \
    --hash=sha256:d13b81ad223b890aa16c5471f2ac3056cf76c5f10f82d6f9292f0b415f389000 \
    --hash=sha256:e5dd1551894c77868a30651cef00984d50e1002d06942a7101d34870c5f02afd
    # via pytest-randomly
iniconfig==2.1.0 \
    --hash=sha256:3abbd2e30b36733fee78f9c7f7308f2d0050e88f0087fd25c2645f63c773e1c7 \
    --hash=sha256:9deba5723312380e77435581c6bf4935c94cbfab9b1ed33ef8d238ea168eb760
    # via pytest
packaging==25.0 \
    --hash=sha256:29572ef2b1f17581046b3a2227d5c611fb25ec70ca1ba8554b24b0e69331a484 \
    --hash=sha256:d443872c98d677bf60f6a1f2f8c1cb748e8fe762d2bf9d3148b5599295b0fc4f
    # via pytest
pluggy==1.6.0 \
    --hash=sha256:7dcc130b76258d33b90f61b658791dede3486c3e6bfb003ee5c9bfb396dd22f3 \
    --hash=sha256:e920276dd6813095e9377c0bc5566d94c932c33b27a3e3945d8389c374dd4746
    # via pytest
pytest==8.3.5 \
    --hash=sha256:c69214aa47deac29fad6c2a4f590b9c4a9fdb16a403176fe154b79c0b4d4d820 \
    --hash=sha256:f4efe70cc14e511565ac476b57c279e12a855b11f48f212af1080ef2263d3845
    # via
    #   glue-utils (pyproject.toml:test)
    #   pytest-cov
    #   pytest-randomly
pytest-cov==6.1.1 \
    --hash=sha256:46935f7aaefba760e716c2ebfbe1c216240b9592966e7da99ea8292d4d3e2a0a \
    --hash=sha256:bddf29ed2d0ab6f4df17b4c55b0a657287db8684af9c42ea546b21b1041b3dde
    # via glue-utils (pyproject.toml:test)
pytest-randomly==3.16.0 \
    --hash=sha256:11bf4d23a26484de7860d82f726c0629837cf4064b79157bd18ec9d41d7feb26 \
    --hash=sha256:8633d332635a1a0983d3bba19342196807f6afb17c3eef78e02c2f85dade45d6
    # via glue-utils (pyproject.toml:test)
tomli==2.2.1 \
    --hash=sha256:023aa114dd824ade0100497eb2318602af309e5a55595f76b626d6d9f3b7b0a6 \
    --hash=sha256:02abe224de6ae62c19f090f68da4e27b10af2b93213d36cf44e6e1c5abd19fdd \
    --hash=sha256:286f0ca2ffeeb5b9bd4fcc8d6c330534323ec51b2f52da063b11c502da16f30c \
    --hash=sha256:2d0f2fdd22b02c6d81637a3c95f8cd77f995846af7414c5c4b8d0545afa1bc4b \
    --hash=sha256:33580bccab0338d00994d7f16f4c4ec25b776af3ffaac1ed74e0b3fc95e885a8 \
    --hash=sha256:400e720fe168c0f8521520190686ef8ef033fb19fc493da09779e592861b78c6 \
    --hash=sha256:40741994320b232529c802f8bc86da4e1aa9f413db394617b9a256ae0f9a7f77 \
    --hash=sha256:465af0e0875402f1d226519c9904f37254b3045fc5084697cefb9bdde1ff99ff \
    --hash=sha256:4a8f6e44de52d5e6c657c9fe83b562f5f4256d8ebbfe4ff922c495620a7f6cea \
    --hash=sha256:4e340144ad7ae1533cb897d406382b4b6fede8890a03738ff1683af800d54192 \
    --hash=sha256:678e4fa69e4575eb77d103de3df8a895e1591b48e740211bd1067378c69e8249 \
    --hash=sha256:6972ca9c9cc9f0acaa56a8ca1ff51e7af152a9f87fb64623e31d5c83700080ee \
    --hash=sha256:7fc04e92e1d624a4a63c76474610238576942d6b8950a2d7f908a340494e67e4 \
    --hash=sha256:889f80ef92701b9dbb224e49ec87c645ce5df3fa2cc548664eb8a25e03127a98 \
    --hash=sha256:8d57ca8095a641b8237d5b079147646153d22552f1c637fd3ba7f4b0b29167a8 \
    --hash=sha256:8dd28b3e155b80f4d54beb40a441d366adcfe740969820caf156c019fb5c7ec4 \
    --hash=sha256:9316dc65bed1684c9a98ee68759ceaed29d229e985297003e494aa825ebb0281 \
    --hash=sha256:a198f10c4d1b1375d7687bc25294306e551bf1abfa4eace6650070a5c1ae2744 \
    --hash=sha256:a38aa0308e754b0e3c67e344754dff64999ff9b513e691d0e786265c93583c69 \
    --hash=sha256:a92ef1a44547e894e2a17d24e7557a5e85a9e1d0048b0b5e7541f76c5032cb13 \
    --hash=sha256:ac065718db92ca818f8d6141b5f66369833d4a80a9d74435a268c52bdfa73140 \
    --hash=sha256:b82ebccc8c8a36f2094e969560a1b836758481f3dc360ce9a3277c65f374285e \
    --hash=sha256:c954d2250168d28797dd4e3ac5cf812a406cd5a92674ee4c8f123c889786aa8e \
    --hash=sha256:cb55c73c5f4408779d0cf3eef9f762b9c9f147a77de7b258bef0a5628adc85cc \
    --hash=sha256:cd45e1dc79c835ce60f7404ec8119f2eb06d38b1deba146f07ced3bbc44505ff \
    --hash=sha256:d3f5614314d758649ab2ab3a62d4f2004c825922f9e370b29416484086b264ec \
    --hash=sha256:d920f33822747519673ee656a4b6ac33e382eca9d331c87770faa3eef562aeb2 \
    --hash=sha256:db2b95f9de79181805df90bedc5a5ab4c165e6ec3fe99f970d0e302f384ad222 \
    --hash=sha256:e59e304978767a54663af13c07b3d1af22ddee3bb2fb0618ca1593e4f593a106 \
    --hash=sha256:e85e99945e688e32d5a35c1ff38ed0b3f41f43fad8df0bdf79f72b2ba7bc5272 \
    --hash=sha256:ece47d672db52ac607a3d9599a9d48dcb2f2f735c6c2d1f34130085bb12b112a \
    --hash=sha256:f4039b9cbc3048b2416cc57ab3bda989a6fcf9b36cf8937f01a6e731b64f80d7
    # via
    #   coverage
    #   pytest
typing-extensions==4.13.2 \
    --hash=sha256:a439e7c04b49fec3e5d3e2beaa21755cadbbdc391694e28ccdd36ca4a1408f8c \
    --hash=sha256:e6c81219bd689f51865d9e372991c540bda33a0379d5573cddb9a3a23f7caaef
    # via exceptiongroup
zipp==3.22.0 \
    --hash=sha256:dd2f28c3ce4bc67507bfd3781d21b7bb2be31103b51a4553ad7d90b84e57ace5 \
    --hash=sha256:fe208f65f2aca48b81f9e6fd8cf7b8b32c26375266b009b413d45306b6148343
    # via importlib-metadata
